import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

public class Main {
  static EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");

  static EntityManager em = emf.createEntityManager();

  public static void main(String[] a) throws Exception {
    em.getTransaction().begin();

    Query query = em.createNativeQuery(
        "SELECT e.country, e.id, e.name, " +
        "e.manager_country, e.manager_id, m.country AS mgr_country, " +
        "m.id AS mgr_id, m.name AS mgr_name," +
        "m.manager_country AS mgr_mgr_country, m.manager_id AS mgr_mgr_id " +
        "FROM   emp e, emp m ",
        "EmployeeAndManager");

    List list = query.getResultList();

    em.getTransaction().commit();
    em.close();
    emf.close();

    Helper.checkData();
  }
}